# Uses of Enum Class
org.opensaml.saml.saml2.core.AuthnContextComparisonTypeEnumeration

Packages that use AuthnContextComparisonTypeEnumeration
Package
Description
org.opensaml.saml.saml2.core
Interfaces for SAML 2.0 core and protocol interfaces.
org.opensaml.saml.saml2.core.impl
Implementations of SAML 2.0 core specification types and elements.

## Uses of AuthnContextComparisonTypeEnumeration in org.opensaml.saml.saml2.core

Methods in org.opensaml.saml.saml2.core that return AuthnContextComparisonTypeEnumeration
Modifier and Type
Method
Description
`AuthnContextComparisonTypeEnumeration`
RequestedAuthnContext.`getComparison()`
Gets the Comparison attribute value of the requested authn context.
`static AuthnContextComparisonTypeEnumeration`
AuthnContextComparisonTypeEnumeration.`valueOf(String name)`
Returns the enum constant of this class with the specified name.
`static AuthnContextComparisonTypeEnumeration[]`
AuthnContextComparisonTypeEnumeration.`values()`
Returns an array containing the constants of this enum class, in the order they are declared.
Methods in org.opensaml.saml.saml2.core with parameters of type AuthnContextComparisonTypeEnumeration
Modifier and Type
Method
Description
`void`
RequestedAuthnContext.`setComparison(AuthnContextComparisonTypeEnumeration newComparison)`
Sets the Comparison attribute value of the requested authn context.

## Uses of AuthnContextComparisonTypeEnumeration in org.opensaml.saml.saml2.core.impl

Fields in org.opensaml.saml.saml2.core.impl declared as AuthnContextComparisonTypeEnumeration
Modifier and Type
Field
Description
`private AuthnContextComparisonTypeEnumeration`
RequestedAuthnContextImpl.`comparison`
Comparison attribute.
Methods in org.opensaml.saml.saml2.core.impl that return AuthnContextComparisonTypeEnumeration
Modifier and Type
Method
Description
`AuthnContextComparisonTypeEnumeration`
RequestedAuthnContextImpl.`getComparison()`
Gets the Comparison attribute value of the requested authn context.
Methods in org.opensaml.saml.saml2.core.impl with parameters of type AuthnContextComparisonTypeEnumeration
Modifier and Type
Method
Description
`void`
RequestedAuthnContextImpl.`setComparison(AuthnContextComparisonTypeEnumeration newComparison)`
Sets the Comparison attribute value of the requested authn context.